Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorrschnekenbu2014-04-29 08:13:33 -0400
committerrschnekenbu2014-04-30 12:51:23 -0400
commitff692dc326fab14140640a299b10c1588d6b74ff (patch)
tree5839ae3f4f4d211058dd6a2de39e7709a05056e4 /plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF
parentc5f58ef502b9c04531637b048fb1b830997116cf (diff)
downloadorg.eclipse.papyrus-ff692dc326fab14140640a299b10c1588d6b74ff.tar.gz
org.eclipse.papyrus-ff692dc326fab14140640a299b10c1588d6b74ff.tar.xz
org.eclipse.papyrus-ff692dc326fab14140640a299b10c1588d6b74ff.zip
424431: [Core] Deployment of Palettes should be possible at runtime
https://bugs.eclipse.org/bugs/show_bug.cgi?id=424431 - first implementation of the deploy/undeploy palette for palette configuration (model based configuration) - small refactoring for the papyrus palette preferences (to support model -based palette configuration deployment) - API break: the ExtendedPluginPaletteProvider is not longer in plugin oep.uml.diagram.paletteconfiguraiton, but in uml.diagram.common (the dependency has been changed for these 2 plugins, common now depends of the palette configuration) Conflicts: plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF Change-Id: I7f7e6ad90c831d1d483f24119bcb688dfdbbc313 Signed-off-by: rschnekenbu <remi.schnekenburger@cea.fr>
Diffstat (limited to 'plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF')
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF1
1 files changed, 1 insertions, 0 deletions
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
index a2cfe22fdfa..d2f10f18925 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
@@ -97,6 +97,7 @@ Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.0.0",
org.eclipse.papyrus.infra.core.pluginexplorer;bundle-version="1.0.0",
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.0.0",
+ org.eclipse.papyrus.uml.diagram.paletteconfiguration;bundle-version="1.0.0",
org.eclipse.papyrus.infra.tools;bundle-version="1.0.0"
Bundle-Vendor: %providerName
Ant-Version: Apache Ant 1.7.0

Back to the top